seo:
  title: How an analytics software startup took aim at COVID-19
  description: >-
    Illumina Consulting Group didn’t just sit idle during the pandemic. Here’s
    how they developed a COVID-19 assessment and analysis tool.
  ogTitle: How an analytics software startup took aim at COVID-19
  ogDescription: >-
    Illumina Consulting Group didn’t just sit idle during the pandemic. Here’s
    how they developed a COVID-19 assessment and analysis tool.
  noIndex: false
  ogImage: images/blog/hero-images/startupcovid.jpg
  ogUrl: https://about.gitlab.com/blog/startup-covid-tracking
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/startup-covid-tracking
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "How an analytics software startup took aim at COVID-19",
            "author": [{"@type":"Person","name":"Valerie Silverthorne"}],
            "datePublished": "2020-05-15",
          }

content:
  title: How an analytics software startup took aim at COVID-19
  description: >-
    Illumina Consulting Group didn’t just sit idle during the pandemic. Here’s
    how they developed a COVID-19 assessment and analysis tool.
  authors:
    - Valerie Silverthorne
  heroImage: images/blog/hero-images/startupcovid.jpg
  date: '2020-05-15'
  body: >


    _In the second of our irregular series on [the intersection of technology
    and COVID-19](/blog/2020/04/23/cobol-programmer-shortage/), here’s a look at
    how one small software company changed gears to create a tool for symptom
    tracking._


    We’ve heard a lot about companies around the world moving from [toy
    production to personal protective
    equipment](https://sports.yahoo.com/toy-companies-switch-gears-help-022919242.html),
    or switching gears from [making gin to making hand
    sanitizer](https://www.bbc.com/worklife/article/20200413-how-factories-change-production-to-quickly-fight-coronavirus).


    But how about companies that have contributed in a more subtle way?


    [Illumina Consulting Group](https://icgsolutions.com/) is a Maryland-based
    data analytics software startup that does most of its work for the
    intelligence community. Suffice it to say about two months ago the team
    found themselves with time on their hands, says CEO David Waldrop. "ICG has
    a very potent team of developers," he explains. "So when this COVID thing
    kind of happened, we were sitting around trying to figure out what to do for
    the next eight weeks or longer sitting at home like groundhog day, with
    every day the same as the next. How could we help with this COVID thing with
    our skillset? We build software, that's what we do for a living." (For the
    record ICG is a GitLab customer, but this isn’t a post about that.)


    Waldrop’s team defined the requirements and concluded the biggest problem
    with this very contagious virus is a shortage of primary information. "Who's
    really got the disease and how early in the process can we detect them?" he
    asks. "And the answer to that is pretty straightforward. Who's the person
    who knows if they've got the disease? Every person that's out there that's
    got a nose and ears and eyes that might have a sniffle and a fever. And so
    how could we get that information from those people? What if we just asked
    them?"


    And with that simple thought process, a symptom assessment tool,
    [DoIhaveit.net](https://doihaveit.net/home#home), was born. The tool offers
    users both a snapshot of COVID-19 in their area (based on zip code) and asks
    them to take a quick two minute health survey. Using the results of that
    data, DoIhaveit (or DIHI as they call it) offers advice straight from the
    Centers for Disease Control. The survey is anonymous – it does not collect
    personal identifying information or private health data.


    ![DoIhaveit.net home
    page](https://about.gitlab.com/images/blogimages/doihaveitscreenshot.png){:
    .shadow.medium.center.wrap-text}


    Waldrop admits the team was skeptical at first about the idea of people
    being willing to contribute their experiences. But "everybody's got a mother
    or a grandmother or an older uncle or somebody," he says. "When that person
    goes to the hospital, they want there to be a bed and a ventilator and gowns
    and all that stuff available."


    To meet those needs ICG built DoIhaveit with a frontend survey piece and a
    backend that will aggregate and analyze the data down to the zip code level.
    "We made it so the messaging at the assessment and the summary level can be
    jurisdictionally specific down to the zip code if necessary," he says. The
    team wanted it to be flexible for wherever the cycle takes an area from
    flattened curve to rising cases and to be modifiable by a public health or
    safety team that might want to adjust the parameters on the fly.


    And that’s the real point of DoIhaveit, Waldrop says – to make sure doctors
    and hospital systems are prepared for a potential onslaught. "We built this
    as a public service and it’s ready to go." It’s in use in Virginia and the
    company wants to spread the word across the country. It’s completely free of
    charge for municipalities and Waldrop stresses ICG isn’t making any money
    from this. "We hope to get this into as many hands as possible."


    Cover image by [Centers for Disease Control](https://unsplash.com/@cdc) on
    [Unsplash](https://unsplash.com)

    {: .note}
  category: Open Source
  tags:
    - collaboration
    - community
    - contributors
config:
  slug: startup-covid-tracking
  featured: false
  template: BlogPost
